Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support.internal.support
Class ServiceRegistrationDecorator

    java.lang.Object
      org.eclipse.gemini.blueprint.service.exporter.support.internal.support.ServiceRegistrationDecorator

All Implemented Interfaces:
  org.osgi.framework.ServiceRegistration

    public class ServiceRegistrationDecorator

extends Object
implements org.osgi.framework.ServiceRegistration

Decorator class for `ServiceReference` which add notification for `ServiceRegistration.unregister()` method when dealing with listeners.

Author:
  Costin Leau

Constructor Summary
`ServiceRegistrationDecorator(org.osgi.framework.ServiceRegistration registration)`

Method Summary
`org.osgi.framework.ServiceReference` | `getReference()`
`void` | `setProperties(Dictionary properties)`
`String` | `toString()`
`void` | `unregister()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceRegistrationDecorator

    public ServiceRegistrationDecorator(org.osgi.framework.ServiceRegistration registration)

Method Detail

### getReference

    public org.osgi.framework.ServiceReference getReference()

  Specified by:
    `getReference` in interface `org.osgi.framework.ServiceRegistration`

### setProperties

    public void setProperties(Dictionary properties)

  Specified by:
    `setProperties` in interface `org.osgi.framework.ServiceRegistration`

### unregister

    public void unregister()

  Specified by:
    `unregister` in interface `org.osgi.framework.ServiceRegistration`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.